Several months ago I requested of this group a routine to automate turning on and off the diplay of plot styles in a layout. The following code is what resulted. Can anyone suggest how to combine the two functions so that a single function would "toggle" the display? I know to write a "toggle" in straight AutoLISP but don't know to do it in this code. ;;; Turns on "Display plot styles" for the current layout (defun C:DPS () (vla-put-showplotstyles (vla-get-activelayout (vla-get-activedocument (vlax-get-acad-object) ) ) :vlax-true ) (command "regenall") ) ;;; Turns off "Display plot styles" for the current layout (defun C:DDPS () (vla-put-showplotstyles (vla-get-activelayout (vla-get-activedocument (vlax-get-acad-object) ) ) :vlax-false ) (command "regenall")